edu.whs.spin2018.baoapp.model.spiel

## Enum MuldenAktion

- java.lang.Object
- - java.lang.Enum<MuldenAktion>
  - - edu.whs.spin2018.baoapp.model.spiel.MuldenAktion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MuldenAktion>

      public enum MuldenAktion
      extends java.lang.Enum<MuldenAktion>

  Aktionen, die auf Mulden ausgefuehrt werden können

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTFERNE_STEINE`
    `FUEGE_STEIN_HINZU`
    `KLAUE_STEINE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MuldenAktion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MuldenAktion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KLAUE_STEINE

          public static final MuldenAktion KLAUE_STEINE

    - #### ENTFERNE_STEINE

          public static final MuldenAktion ENTFERNE_STEINE

    - #### FUEGE_STEIN_HINZU

          public static final MuldenAktion FUEGE_STEIN_HINZU

  - ### Method Detail

    - #### values

          public static MuldenAktion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MuldenAktion c : MuldenAktion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MuldenAktion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null